EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'RpmPackages_GetRepositoryData',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'RpmRepositoryData',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets repository information about an RPM feed.'
GO

IF OBJECT_ID('[RpmPackages_GetRepositoryData]') IS NOT NULL DROP PROCEDURE [RpmPackages_GetRepositoryData]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [RpmPackages_GetRepositoryData]
(
	@Feed_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [RpmRepositoryData]
	 WHERE [Feed_Id] = @Feed_Id

END
GO

GRANT EXECUTE ON [RpmPackages_GetRepositoryData] TO [ProGetUser_Role]
GO