--AH:ScriptId=115caea9-f49a-49a3-9b1c-97f60f716ee6;2919
DECLARE @LDAPEnabled NVARCHAR(MAX)
SET @LDAPEnabled = (SELECT [Value_Text]
                      FROM [Configuration]
					 WHERE [Scope_Name] = 'WebApp'
					   AND [Key_Name] = 'LDAPEnabled')


DECLARE @LDAPMultipleDomainEnabled NVARCHAR(MAX)
SET @LDAPMultipleDomainEnabled = (SELECT [Value_Text]
                                    FROM [Configuration]
					               WHERE [Scope_Name] = 'WebApp'
					                 AND [Key_Name] = 'LDAPMultipleDomainEnabled')

INSERT INTO [Configuration]
(
	[Scope_Name],
	[Key_Name],
	[Value_Text]
)
VALUES
(
	'WebApp',
	'UserDirectoryId',
	CASE
		WHEN @LDAPMultipleDomainEnabled = 'True' THEN '3'
		WHEN @LDAPEnabled = 'True' THEN '2'
		ELSE '1'
	END
)

DELETE [Configuration]
 WHERE [Scope_Name] = 'WebApp'
   AND [Key_Name] IN ('LDAPEnabled', 'LDAPMultipleDomainEnabled', 'EnableMavenSupport', 'ShowPrereleasePackages', 'MaxQueryResults')