--AH:ScriptId=76cddcff-15d2-473e-9f42-8e30d20f5077;3205
ALTER TABLE [Feeds]
	ADD [FeedConfiguration_Xml] XML NULL
GO

UPDATE [Feeds]
   SET [FeedConfiguration_Xml] = (
		SELECT [@Assembly] = 'ProGetCoreEx',
		       [Properties/@SymbolServerEnabled] = CASE WHEN [SymbolServerEnabled_Indicator] = 'Y' THEN 'True' ELSE 'False' END,
		       [Properties/@StripSymbolFiles] = CASE WHEN [StripSymbolFiles_Indicator] = 'Y' THEN 'True' ELSE 'False' END,
			   [Properties/@LegacyAPIKey] = [APIKey_Text],
			   [Properties/@UseLegacyVersioning] = 'True'
		  FROM [NuGetFeeds] NGF
		 WHERE NGF.[Feed_Id] = [Feeds].[Feed_Id]
		  FOR XML PATH('Inedo.ProGet.Feeds.NuGet.NuGetFeedConfig'))

DROP TABLE [NuGetFeeds]