IF OBJECT_ID('[NuGetPackageSymbolsV2_Extended]') IS NOT NULL DROP VIEW [NuGetPackageSymbolsV2_Extended]
GO

CREATE VIEW [NuGetPackageSymbolsV2_Extended]
AS
	SELECT NPS2.[Feed_Id],
	       NPS2.[Symbol_Id],
	       NPS2.[SymbolFileName_Text],
	       NPS2.[Symbol_Age],
	       NPS2.[NuGetPackageV2_Id],
	       NP2.[Package_Id],
	       NPS2.[Package_Version_Text],
	       NPS2.[Package_SymbolFilePath_Text]
	  FROM [NuGetPackageSymbolsV2] NPS2
	 INNER JOIN [NuGetPackagesV2] NP2
	         ON NP2.[NuGetPackageV2_Id] = NPS2.[NuGetPackageV2_Id]
GO
